<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Autocompleteinput</title>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
</head>
<body>




 	<form name="autocomplete">
         Name: <input type="text" id="word">
    </form>
 
 
 
 
 <script type="text/javascript">

 $('#word').autocomplete({
		source : function(req, res) {
			$.ajax({
				url: "http://localhost:8080/AutoCompleteInput/AutoCompletInputSertvlet", //make call to the backend to get data
				
				
				//this data hold the input value and send to the backend
				data: req,
				success: function(data) {
					//getting the data that has been wrote in the input to slice later
					var results = $.ui.autocomplete.filter(data, req.term);
					//This filter will show 4 suggestions by letter typed
					res(results.slice(0,4));
					
				}
			});
		},
	});
 
 
 </script>

</body>
</html>